glibmm: Glib::Value_Flags< T > Class Template Reference

glibmm 2.58.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::Value_Flags< T > Class Template Reference
Generic Values

Base class of Glib::Value<T> specializations for flags types. More...

`#include </home/kjell/checkout/gnome/glibmm-2.4/glib/glibmm/value.h>`

Inheritance diagram for Glib::Value_Flags< T >:
[legend]

## Public Types
using | CppType = T
Public Types inherited from Glib::ValueBase_Flags
using | CType = guint

## Public Member Functions
void | set (CppType data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Additional Inherited Members
Static Public Member Functions inherited from Glib::ValueBase_Flags
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_Flags
void | set_flags (unsigned int data)
unsigned int | get_flags () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<class T>
class Glib::Value_Flags< T >

Base class of Glib::Value<T> specializations for flags types.

## Member Typedef Documentation

template <class T >

using Glib::Value_Flags< T >::CppType = T

## Member Function Documentation

template <class T >

CppType Glib::Value_Flags< T >::get | ( |  | ) | const
| inline

template <class T >

void Glib::Value_Flags< T >::set | ( | CppType | data | ) |
| inline